/**
 * Create a custom constructor which can be modified without affecting the
 * original class.
 *
 * @template {{new(...args: Args): Instance}} Class
 * @template {any[]} Args
 * @template Instance
 * @param {Class & {new (...args: Args): Instance}} Super
 * @return {Class & ((...args: Args) => Instance)}
 */
export function unherit<Class extends new (...args: Args) => Instance, Args extends any[], Instance>(Super: Class & (new (...args: Args) => Instance)): Class & ((...args: Args) => Instance);
